<?php
require_once(getabspath("classes/cipherer.php"));
$tdatatipo_cuenta = array();
	$tdatatipo_cuenta[".NumberOfChars"] = 80; 
	$tdatatipo_cuenta[".ShortName"] = "tipo_cuenta";
	$tdatatipo_cuenta[".OwnerID"] = "";
	$tdatatipo_cuenta[".OriginalTable"] = "tipo_cuenta";

//	field labels
$fieldLabelstipo_cuenta = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelstipo_cuenta["Spanish"] = array();
	$fieldToolTipstipo_cuenta["Spanish"] = array();
	$fieldLabelstipo_cuenta["Spanish"]["idtipo_cuenta"] = "Idtipo Cuenta";
	$fieldToolTipstipo_cuenta["Spanish"]["idtipo_cuenta"] = "";
	$fieldLabelstipo_cuenta["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipstipo_cuenta["Spanish"]["nombre"] = "";
	if (count($fieldToolTipstipo_cuenta["Spanish"]))
		$tdatatipo_cuenta[".isUseToolTips"] = true;
}
	
	
	$tdatatipo_cuenta[".NCSearch"] = true;



$tdatatipo_cuenta[".shortTableName"] = "tipo_cuenta";
$tdatatipo_cuenta[".nSecOptions"] = 0;
$tdatatipo_cuenta[".recsPerRowList"] = 1;
$tdatatipo_cuenta[".mainTableOwnerID"] = "";
$tdatatipo_cuenta[".moveNext"] = 1;
$tdatatipo_cuenta[".nType"] = 0;

$tdatatipo_cuenta[".strOriginalTableName"] = "tipo_cuenta";




$tdatatipo_cuenta[".showAddInPopup"] = false;

$tdatatipo_cuenta[".showEditInPopup"] = false;

$tdatatipo_cuenta[".showViewInPopup"] = false;

$tdatatipo_cuenta[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatatipo_cuenta[".listAjax"] = true;
else 
	$tdatatipo_cuenta[".listAjax"] = false;

	$tdatatipo_cuenta[".audit"] = false;

	$tdatatipo_cuenta[".locking"] = false;

$tdatatipo_cuenta[".inlineEdit"] = true;
$tdatatipo_cuenta[".inlineAdd"] = true;

$tdatatipo_cuenta[".exportTo"] = true;


$tdatatipo_cuenta[".delete"] = true;

$tdatatipo_cuenta[".showSimpleSearchOptions"] = false;

$tdatatipo_cuenta[".showSearchPanel"] = true;

if (isMobile())
	$tdatatipo_cuenta[".isUseAjaxSuggest"] = false;
else 
	$tdatatipo_cuenta[".isUseAjaxSuggest"] = true;

$tdatatipo_cuenta[".rowHighlite"] = true;

// button handlers file names

$tdatatipo_cuenta[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatipo_cuenta[".isUseTimeForSearch"] = false;




$tdatatipo_cuenta[".allSearchFields"] = array();

$tdatatipo_cuenta[".allSearchFields"][] = "nombre";

$tdatatipo_cuenta[".googleLikeFields"][] = "idtipo_cuenta";
$tdatatipo_cuenta[".googleLikeFields"][] = "nombre";


$tdatatipo_cuenta[".advSearchFields"][] = "nombre";

$tdatatipo_cuenta[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatatipo_cuenta[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatipo_cuenta[".strOrderBy"] = $tstrOrderBy;

$tdatatipo_cuenta[".orderindexes"] = array();

$tdatatipo_cuenta[".sqlHead"] = "SELECT idtipo_cuenta,   nombre";
$tdatatipo_cuenta[".sqlFrom"] = "FROM tipo_cuenta";
$tdatatipo_cuenta[".sqlWhereExpr"] = "";
$tdatatipo_cuenta[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatipo_cuenta[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatipo_cuenta[".arrGroupsPerPage"] = $arrGPP;

$tableKeystipo_cuenta = array();
$tableKeystipo_cuenta[] = "idtipo_cuenta";
$tdatatipo_cuenta[".Keys"] = $tableKeystipo_cuenta;

$tdatatipo_cuenta[".listFields"] = array();
$tdatatipo_cuenta[".listFields"][] = "nombre";

$tdatatipo_cuenta[".viewFields"] = array();

$tdatatipo_cuenta[".addFields"] = array();
$tdatatipo_cuenta[".addFields"][] = "nombre";

$tdatatipo_cuenta[".inlineAddFields"] = array();
$tdatatipo_cuenta[".inlineAddFields"][] = "nombre";

$tdatatipo_cuenta[".editFields"] = array();

$tdatatipo_cuenta[".inlineEditFields"] = array();
$tdatatipo_cuenta[".inlineEditFields"][] = "nombre";

$tdatatipo_cuenta[".exportFields"] = array();
$tdatatipo_cuenta[".exportFields"][] = "nombre";

$tdatatipo_cuenta[".printFields"] = array();

//	idtipo_cuenta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idtipo_cuenta";
	$fdata["GoodName"] = "idtipo_cuenta";
	$fdata["ownerTable"] = "tipo_cuenta";
	$fdata["Label"] = "Idtipo Cuenta"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idtipo_cuenta"; 
		$fdata["FullName"] = "idtipo_cuenta";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatatipo_cuenta["idtipo_cuenta"] = $fdata;
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "tipo_cuenta";
	$fdata["Label"] = "Nombre"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nombre"; 
		$fdata["FullName"] = "nombre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=45";
	
		$edata["inputStyle"] = " width:200px;";
	$edata["controlWidth"] = 200;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatatipo_cuenta["nombre"] = $fdata;

	
$tables_data["tipo_cuenta"]=&$tdatatipo_cuenta;
$field_labels["tipo_cuenta"] = &$fieldLabelstipo_cuenta;
$fieldToolTips["tipo_cuenta"] = &$fieldToolTipstipo_cuenta;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tipo_cuenta"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["tipo_cuenta"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_tipo_cuenta()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idtipo_cuenta,   nombre";
$proto0["m_strFrom"] = "FROM tipo_cuenta";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idtipo_cuenta",
	"m_strTable" => "tipo_cuenta"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "tipo_cuenta"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto9=array();
$proto9["m_link"] = "SQLL_MAIN";
			$proto10=array();
$proto10["m_strName"] = "tipo_cuenta";
$proto10["m_columns"] = array();
$proto10["m_columns"][] = "idtipo_cuenta";
$proto10["m_columns"][] = "nombre";
$obj = new SQLTable($proto10);

$proto9["m_table"] = $obj;
$proto9["m_alias"] = "";
$proto11=array();
$proto11["m_sql"] = "";
$proto11["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto11["m_column"]=$obj;
$proto11["m_contained"] = array();
$proto11["m_strCase"] = "";
$proto11["m_havingmode"] = "0";
$proto11["m_inBrackets"] = "0";
$proto11["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto11);

$proto9["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto9);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tipo_cuenta = createSqlQuery_tipo_cuenta();
		$tdatatipo_cuenta[".sqlquery"] = $queryData_tipo_cuenta;
	
if(isset($tdatatipo_cuenta["field2"])){
	$tdatatipo_cuenta["field2"]["LookupTable"] = "carscars_view";
	$tdatatipo_cuenta["field2"]["LookupOrderBy"] = "name";
	$tdatatipo_cuenta["field2"]["LookupType"] = 4;
	$tdatatipo_cuenta["field2"]["LinkField"] = "email";
	$tdatatipo_cuenta["field2"]["DisplayField"] = "name";
	$tdatatipo_cuenta[".hasCustomViewField"] = true;
}

$tableEvents["tipo_cuenta"] = new eventsBase;
$tdatatipo_cuenta[".hasEvents"] = false;

$cipherer = new RunnerCipherer("tipo_cuenta");

?>